A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
fftR2C
ArrayFire Functions | ArrayFire Functions by Category » Signal Processing » Fast Fourier Transforms

Real to Complex Fast Fourier Transform More...

## Functions
template<int rank>
array | fftR2C (const array &in, const dim4 &dims, const double norm_factor=1.0)
| C++ Interface for real to complex fast fourier transform for one dimensional signals.
template<int rank>
array | fftR2C (const array &in, const double norm_factor=1.0)
| C++ Interface for real to complex fast fourier transform for one dimensional signals.
AFAPI af_err | af_fft_r2c (af_array *out, const af_array in, const double norm_factor, const dim_t pad0)
| C Interface for real to complex fast fourier transform for one dimensional signals.
AFAPI af_err | af_fft2_r2c (af_array *out, const af_array in, const double norm_factor, const dim_t pad0, const dim_t pad1)
| C Interface for real to complex fast fourier transform for two dimensional signals.
AFAPI af_err | af_fft3_r2c (af_array *out, const af_array in, const double norm_factor, const dim_t pad0, const dim_t pad1, const dim_t pad2)
| C Interface for real to complex fast fourier transform for three dimensional signals.

## Detailed Description

Real to Complex Fast Fourier Transform

## Function Documentation

## ◆ af_fft2_r2c()

AFAPI af_err af_fft2_r2c | ( | af_array * | out,
|  | const af_array | in,
|  | const double | norm_factor,
|  | const dim_t | pad0,
|  | const dim_t | pad1 )

C Interface for real to complex fast fourier transform for two dimensional signals.

Parameters

  [out] | out | is a complex array containing the non redundant parts of `in`.
  [in] | in | is a real array
  [in] | norm_factor | is the normalization factor with which the input is scaled after the transformation is applied
  [in] | pad0 | is the length of output signals along first dimension - used to either truncate/pad the input
  [in] | pad1 | is the length of output signals along second dimension - used to either truncate/pad the input

Returns
  AF_SUCCESS if the fft transform is successful, otherwise an appropriate error code is returned.

Note
  The first dimension of the output will be of size (pad0 / 2) + 1. The second dimension of the output will be pad1. The remaining dimensions are unchanged.

## ◆ af_fft3_r2c()

AFAPI af_err af_fft3_r2c | ( | af_array * | out,
|  | const af_array | in,
|  | const double | norm_factor,
|  | const dim_t | pad0,
|  | const dim_t | pad1,
|  | const dim_t | pad2 )

C Interface for real to complex fast fourier transform for three dimensional signals.

Parameters

  [out] | out | is a complex array containing the non redundant parts of `in`.
  [in] | in | is a real array
  [in] | norm_factor | is the normalization factor with which the input is scaled after the transformation is applied
  [in] | pad0 | is the length of output signals along first dimension - used to either truncate/pad the input
  [in] | pad1 | is the length of output signals along second dimension - used to either truncate/pad the input
  [in] | pad2 | is the length of output signals along third dimension - used to either truncate/pad the input

Returns
  AF_SUCCESS if the fft transform is successful, otherwise an appropriate error code is returned.

Note
  The first dimension of the output will be of size (pad0 / 2) + 1. The second dimension of the output will be pad1. The third dimension of the output will be pad 2.

## ◆ af_fft_r2c()

AFAPI af_err af_fft_r2c | ( | af_array * | out,
|  | const af_array | in,
|  | const double | norm_factor,
|  | const dim_t | pad0 )

C Interface for real to complex fast fourier transform for one dimensional signals.

Parameters

  [out] | out | is a complex array containing the non redundant parts of `in`.
  [in] | in | is a real array
  [in] | norm_factor | is the normalization factor with which the input is scaled after the transformation is applied
  [in] | pad0 | is the length of output signals along first dimension - used to either truncate/pad the input

Returns
  AF_SUCCESS if the fft transform is successful, otherwise an appropriate error code is returned.

Note
  The first dimension of the output will be of size (pad0 / 2) + 1. The remaining dimensions are unchanged.

## ◆ fftR2C() [1/2]

template<int rank>

array fftR2C | ( | const array & | in,
|  | const dim4 & | dims,
|  | const double | norm_factor = 1.0 )

C++ Interface for real to complex fast fourier transform for one dimensional signals.

Parameters

  [in] | in | is a real array
  [in] | dims | is the requested padded dimensions before the transform is applied
  [in] | norm_factor | is the normalization factor with which the input is scaled after the transformation is applied

Returns
  a complex array containing the non redundant parts of `in` along the first dimension.

Note
  The first dimension of the output will be of size (dims[0] / 2) + 1. The remaining dimensions are unchanged.

## ◆ fftR2C() [2/2]

template<int rank>

array fftR2C | ( | const array & | in,
|  | const double | norm_factor = 1.0 )

C++ Interface for real to complex fast fourier transform for one dimensional signals.

Parameters

  [in] | in | is a real array
  [in] | norm_factor | is the normalization factor with which the input is scaled after the transformation is applied

Returns
  a complex array containing the non redundant parts of `in` along the first dimension.

Note
  The first dimension of the output will be of size (in.dims(0) / 2) + 1. The remaining dimensions are unchanged.